Index: /palm/trunk/SOURCE/check_open.f90
===================================================================
--- /palm/trunk/SOURCE/check_open.f90	(revision 963)
+++ /palm/trunk/SOURCE/check_open.f90	(revision 964)
@@ -4,5 +4,6 @@
 ! Current revisions:
 ! -----------------
-! Test: append feature removed from unit 14
+! old profil-units (40:49) removed,
+! append feature removed from unit 14
 !
 ! Former revisions:
@@ -155,5 +156,5 @@
     SELECT CASE ( file_id )
 
-       CASE ( 15, 16, 17, 18, 19, 40:49, 50:59, 81:84, 104:105, 107, 109 )
+       CASE ( 15, 16, 17, 18, 19, 50:59, 81:84, 104:105, 107, 109 )
 	      
           IF ( myid /= 0 )  THEN
@@ -582,19 +583,4 @@
           ENDIF
 
-       CASE ( 40:49 )
-
-          IF ( statistic_regions == 0  .AND.  file_id == 40 )  THEN
-             suffix = ''
-          ELSE
-             WRITE ( suffix, '(''_'',I1)' )  file_id - 40
-          ENDIF
-          OPEN ( file_id, FILE='PLOT1D_DATA'//TRIM( coupling_char )// &
-                               TRIM( suffix ),                        &
-                          FORM='FORMATTED' )
-!
-!--       Write contents comments at the top of the file
-          WRITE ( file_id, 4000 )  TRIM( run_description_header ) // '    ' // &
-                                   TRIM( region( file_id - 40 ) )
-
        CASE ( 50:59 )
 
@@ -637,6 +623,4 @@
                 klist(1:k) = cross_ts_numbers(1:k,j)
                 klist(k+1:10) = 999999
-                cucol(1:k) = linecolors(1:k)
-                lstyle(1:k) = linestyles(1:k)
 !
 !--             Write CROSS parameter
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 963)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 964)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-!
+! check of old profil-parameters removed
 !
 ! Former revisions:
@@ -2518,80 +2518,5 @@
        END SELECT
 
-!
-!--    Check to which of the predefined coordinate systems the profile belongs
-       DO  k = 1, crmax
-          IF ( INDEX( cross_profiles(k), ' '//TRIM( data_output_pr(i) )//' ' ) &
-               /=0 ) &
-          THEN
-             dopr_crossindex(i) = k
-             EXIT
-          ENDIF
-       ENDDO
-!
-!--    Generate the text for the labels of the PROFIL output file. "-characters
-!--    must be substituted, otherwise PROFIL would interpret them as TeX
-!--    control characters
-       dopr_label(i) = data_output_pr(i)
-       position = INDEX( dopr_label(i) , '"' )
-       DO WHILE ( position /= 0 )
-          dopr_label(i)(position:position) = ''''
-          position = INDEX( dopr_label(i) , '"' )
-       ENDDO
-
     ENDDO
-
-!
-!-- y-value range of the coordinate system (PROFIL).
-!-- x-value range determined in plot_1d.
-    IF ( .NOT. ocean )  THEN
-       cross_uymin = 0.0
-       IF ( z_max_do1d == -1.0 )  THEN
-          cross_uymax = zu(nzt+1)
-       ELSEIF ( z_max_do1d < zu(nzb+1)  .OR.  z_max_do1d > zu(nzt+1) )  THEN
-          WRITE( message_string, * )  'z_max_do1d = ', z_max_do1d, ' must ', &
-                 'be >= ', zu(nzb+1), ' or <= ', zu(nzt+1)
-          CALL message( 'check_parameters', 'PA0099', 1, 2, 0, 6, 0 )
-       ELSE
-          cross_uymax = z_max_do1d
-       ENDIF
-    ENDIF
-
-!
-!-- Check whether the chosen normalizing factor for the coordinate systems is 
-!-- permissible
-    DO  i = 1, crmax
-       SELECT CASE ( TRIM( cross_normalized_x(i) ) )  ! TRIM required on IBM
-
-          CASE ( '', 'wpt0', 'ws2', 'tsw2', 'ws3', 'ws2tsw', 'wstsw2' )
-             j = 0
-
-          CASE DEFAULT
-             message_string = 'unknown normalization method cross_normali' // &
-                              'zed_x = "' // TRIM( cross_normalized_x(i) ) // &
-                              '"'
-             CALL message( 'check_parameters', 'PA0100', 1, 2, 0, 6, 0 )
-
-       END SELECT
-       SELECT CASE ( TRIM( cross_normalized_y(i) ) )  ! TRIM required on IBM
-
-          CASE ( '', 'z_i' )
-             j = 0
-
-          CASE DEFAULT
-             message_string = 'unknown normalization method cross_normali' // &
-                              'zed_y = "' // TRIM( cross_normalized_y(i) ) // &
-                              '"'
-             CALL message( 'check_parameters', 'PA0101', 1, 2, 0, 6, 0 )
-
-       END SELECT
-    ENDDO
-!
-!-- Check normalized y-value range of the coordinate system (PROFIL)
-    IF ( z_max_do1d_normalized /= -1.0  .AND.  z_max_do1d_normalized <= 0.0 ) &
-    THEN
-       WRITE( message_string, * )  'z_max_do1d_normalized = ', &
-                                   z_max_do1d_normalized, ' must be >= 0.0'
-       CALL message( 'check_parameters', 'PA0101', 1, 2, 0, 6, 0 )
-    ENDIF
 
 
@@ -2864,17 +2789,4 @@
 
 !
-!-- Upper plot limit (grid point value) for 1D profiles
-    IF ( z_max_do1d == -1.0 )  THEN
-
-       nz_do1d = nzt+1
-
-    ELSE
-       DO  k = nzb+1, nzt+1
-          nz_do1d = k
-          IF ( zw(k) > z_max_do1d )  EXIT
-       ENDDO
-    ENDIF
-
-!
 !-- Upper plot limit for 2D vertical sections
     IF ( z_max_do2d == -1.0 )  z_max_do2d = zu(nzt)
@@ -2958,6 +2870,4 @@
              CASE ( 'iso2d' )
                 iso2d_output  = .TRUE.
-             CASE ( 'profil' )
-                profil_output = .TRUE.
              CASE ( 'avs' )
                 avs_output    = .TRUE.
Index: /palm/trunk/SOURCE/close_file.f90
===================================================================
--- /palm/trunk/SOURCE/close_file.f90	(revision 963)
+++ /palm/trunk/SOURCE/close_file.f90	(revision 964)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-!
+! old profil-units (40:49) and respective code removed
 !
 ! Former revisions:
@@ -67,26 +67,16 @@
     CHARACTER (LEN=2)   ::  suffix
     CHARACTER (LEN=10)  ::  datform = 'lit_endian'
-    CHARACTER (LEN=80)  ::  rtext, title, utext = '', xtext = '', ytext = ''
-
-    INTEGER ::  av, anzzeile, cranz, cross_count, cross_numbers, dimx, dimy, &
-                fid, file_id, j, k, legpos = 1, planz, timodex = 1
-    INTEGER, DIMENSION(100) ::  klist, lstyle, cucol
-
-    LOGICAL ::  checkuf = .TRUE., datleg = .TRUE., dp = .FALSE., &
-                grid = .TRUE., rand = .TRUE., swap, twoxa = .TRUE., &
-                twoya = .TRUE.
-
-    REAL    ::  ansx = -999.999, ansy = -999.999, gwid = 0.1, rlegfak, &
-                sizex, sizey, texfac, utmove = 50.0, uxmax, uxmin, uymax, &
-                uymin, yright
-    REAL, DIMENSION(100) ::  lwid, normx, normy
-
-    NAMELIST /CROSS/   ansx, ansy, cucol, grid, gwid, klist, legpos, lstyle, &
-                       lwid, normx, normy, rand, rlegfak, sizex, sizey, &
-                       texfac, timodex, twoxa, twoya, utext, utmove, uxmax, &
-                       uxmin, uymax, uymin, xtext, ytext
-    NAMELIST /GLOBAL/  checkuf, datform, dimx, dimy, dp, planz, sizex, sizey, &
-                       title, yright
-    NAMELIST /RAHMEN/  anzzeile, cranz, datleg, rtext, swap
+    CHARACTER (LEN=80)  ::  rtext, title
+
+    INTEGER ::  av, anzzeile, dimx, dimy, &
+                fid, file_id, j, k, planz
+
+    LOGICAL ::  checkuf = .TRUE., datleg = .TRUE., dp = .FALSE., swap
+
+    REAL ::  sizex, sizey, yright
+
+    NAMELIST /GLOBAL/  checkuf, datform, dimx, dimy, dp, planz, &
+                       title
+    NAMELIST /RAHMEN/  anzzeile, datleg, rtext, swap
 
 !
@@ -190,225 +180,4 @@
                    WRITE ( 32, 3200)  ' ', TRIM( run_description_header ), &
                                       nx+2, ny+2, nz_do3d+1, do3d_avs_n
-                ENDIF
-
-             CASE ( 40:49 )
-!
-!--             Write PROFIL namelist parameters for 1D profiles.
-!--             First determine, how many crosses are to be drawn.
-                IF ( myid == 0 )  THEN
-                   cross_numbers = 0
-                   DO  j = 1, crmax
-                      IF ( cross_profile_number_count(j) /= 0 )  THEN
-                         cross_numbers = cross_numbers + 1
-                      ENDIF
-                   ENDDO
-
-                   IF ( cross_numbers /= 0 )  THEN
-!
-!--                   Determine remaining RAHMEN parameters
-                      swap = .FALSE.
-                      rtext = '\0.5 ' // TRIM( run_description_header ) // &
-                              '    ' // TRIM( region( fid - 40 ) )
-!
-!--                   Write RAHMEN parameters
-                      IF ( statistic_regions == 0  .AND.  fid == 40 )  THEN
-                         suffix = ''
-                      ELSE
-                         WRITE ( suffix, '(''_'',I1)' )  fid - 40
-                      ENDIF
-                      OPEN ( 90, FILE='PLOT1D_PAR' // TRIM( suffix ), &
-                                 FORM='FORMATTED', DELIM='APOSTROPHE' )
-!
-!--                   Subtitle for crosses with time averaging
-                      IF ( averaging_interval_pr /= 0.0 )  THEN
-                         WRITE ( utext, 4000 )  averaging_interval_pr
-                      ENDIF
-!
-!--                   Determine and write CROSS parameters for each individual 
-!--                   cross
-                      cross_count = 0
-                      DO  j = 1, crmax
-                         k = cross_profile_number_count(j)
-                         IF ( k /= 0 )  THEN
-                            cross_count = cross_count + 1
-!
-!--                         Write RAHMEN parameters
-                            IF ( MOD( cross_count-1, &
-                                      profile_rows*profile_columns ) == 0 ) &
-                            THEN
-!
-!--                            Determine number of crosses still to be drawn
-                               cranz = MIN( cross_numbers - cross_count + 1, &
-                                            profile_rows * profile_columns )
-!
-!--                            If the first line cannot be filled with crosses
-!--                            completely, the default number of crosses per 
-!--                            line has to be reduced.
-                               IF ( cranz < profile_columns )  THEN
-                                  anzzeile = cranz
-                               ELSE
-                                  anzzeile = profile_columns
-                               ENDIF
-
-                               WRITE ( 90, RAHMEN )
-
-                            ENDIF
-!
-!--                         Store graph numbers
-                            klist(1:k) = cross_profile_numbers(1:k,j)
-                            klist(k+1:100) = 999999
-!
-!--                         Store graph attributes
-                            cucol  = cross_linecolors(:,j)
-                            lstyle = cross_linestyles(:,j)
-                            lwid = 0.6
-!
-!--                         Sizes, text etc.
-                            sizex = 100.0; sizey = 120.0
-                            rlegfak = 0.7; texfac = 1.0
-!
-!--                         Determine range of x-axis values
-                            IF ( cross_normalized_x(j) == ' ' )  THEN
-!
-!--                            Non-normalized profiles
-                               IF ( cross_uxmin(j) == 0.0  .AND. &
-                                    cross_uxmax(j) == 0.0 )  THEN
-                                  uxmin = cross_uxmin_computed(j)
-                                  uxmax = cross_uxmax_computed(j)
-                                  IF ( uxmin == uxmax )  uxmax = uxmin + 1.0
-                               ELSE
-!
-!--                               Values set in check_parameters are used here
-                                  uxmin = cross_uxmin(j); uxmax = cross_uxmax(j)
-                               ENDIF
-                            ELSE
-!
-!--                            Normalized profiles
-                               IF ( cross_uxmin_normalized(j) == 0.0  .AND. &
-                                    cross_uxmax_normalized(j) == 0.0 )  THEN
-                                  uxmin = cross_uxmin_normalized_computed(j)
-                                  uxmax = cross_uxmax_normalized_computed(j)
-                                  IF ( uxmin == uxmax )  uxmax = uxmin + 1.0
-                               ELSE
-!
-!--                               Values set in check_parameters are used here
-                                  uxmin = cross_uxmin_normalized(j)
-                                  uxmax = cross_uxmax_normalized(j)
-                               ENDIF
-                            ENDIF
-!
-!--                         Range of y-axis values
-!--                         may be re-adjusted during normalization if required
-                            uymin = cross_uymin(j); uymax = cross_uymax(j)
-                            ytext = 'height in m'
-!
-!--                         Normalization of the axes
-                            normx = cross_normx_factor(:,j)
-                            normy = cross_normy_factor(:,j)
-!
-!--                         Labelling of the axes
-                            IF ( cross_normalized_x(j) == ' ' )  THEN
-                               xtext = cross_xtext(j)
-                            ELSE
-                               xtext = TRIM( cross_xtext(j) ) // ' / ' // &
-                                       cross_normalized_x(j)
-                            ENDIF
-                            IF ( cross_normalized_y(j) == ' ' )  THEN
-                               ytext = 'height in m'
-                            ELSE
-                               ytext = 'height in m' // ' / ' // &
-                                       cross_normalized_y(j)
-!
-!--                            Determine upper limit of value range
-                               IF ( z_max_do1d_normalized /= -1.0 )  THEN
-                                  uymax = z_max_do1d_normalized
-                               ENDIF
-                            ENDIF
-
-                            WRITE ( 90, CROSS )
-
-                         ENDIF
-                      ENDDO
-
-                      CLOSE ( 90 )
-                   ENDIF
-                ENDIF
-
-             CASE ( 50:59 )
-!
-!--             Write PROFIL namelist parameters for time series
-!--             first determine number of crosses to be drawn
-                IF ( myid == 0 )  THEN
-                   cranz = 0
-                   DO  j = 1, 12
-                      IF ( cross_ts_number_count(j) /= 0 )  cranz = cranz+1
-                   ENDDO
-
-                   IF ( cranz /= 0 )  THEN
-!
-!--                   Determine RAHMEN parameters
-                      anzzeile = 1
-                      swap = .TRUE.
-                      rtext = '\1.0 ' // TRIM( run_description_header ) // &
-                              '    ' // TRIM( region( fid - 50 ) )
-!
-!--                   Write RAHMEN parameters
-                      IF ( statistic_regions == 0  .AND.  fid == 50 )  THEN
-                         suffix = ''
-                      ELSE
-                         WRITE ( suffix, '(''_'',I1)' )  fid - 50
-                      ENDIF
-                      OPEN ( 90, FILE='PLOTTS_PAR' // TRIM( suffix ), &
-                                 FORM='FORMATTED', DELIM='APOSTROPHE' )
-                      WRITE ( 90, RAHMEN )
-!
-!--                   Determine and write CROSS parameters for each individual 
-!--                   cross
-                      DO  j = 1, 12
-                         k = cross_ts_number_count(j)
-                         IF ( k /= 0 )  THEN
-!
-!--                         Store graph numbers
-                            klist(1:k) = cross_ts_numbers(1:k,j)
-                            klist(k+1:100) = 999999
-!
-!--                         Store graph attributes
-                            cucol(1:k)  = linecolors(1:k)
-                            lstyle(1:k) = linestyles(1:k)
-                            lwid = 0.4
-!
-!--                         Sizes, text etc.
-                            sizex = 250.0; sizey = 40.0
-                            rlegfak = 1.5; texfac = 1.5
-                            xtext = 'time in s'
-                            ytext = ''
-                            utext = ''
-!
-!--                         Determine range of y-axis values
-                            IF ( cross_ts_uymin(j) == 999.999 )  THEN
-                               uymin = cross_ts_uymin_computed(j)
-                            ELSE
-                               uymin = cross_ts_uymin(j)
-                            ENDIF
-                            IF ( cross_ts_uymax(j) == 999.999 )  THEN
-                               uymax = cross_ts_uymax_computed(j)
-                            ELSE
-                               uymax = cross_ts_uymax(j)
-                            ENDIF
-                            IF ( uymin == uymax )  uymax = uymin + 1.0
-!
-!--                         Range of x-axis values
-                            uxmin = 0.0; uxmax = simulated_time
-!
-!--                         Normalizations
-                            normx = 1.0; normy = 1.0
-
-                            WRITE ( 90, CROSS )
-
-                         ENDIF
-                      ENDDO
-
-                      CLOSE ( 90 )
-                   ENDIF
                 ENDIF
 
Index: /palm/trunk/SOURCE/data_output_profiles.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_profiles.f90	(revision 963)
+++ /palm/trunk/SOURCE/data_output_profiles.f90	(revision 964)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! code for profil-output removed
 !
 ! Former revisions:
@@ -52,6 +52,4 @@
 
     INTEGER ::  i, id, ilc, ils, j, k, sr
-    REAL    ::  uxma, uxmi
-
 
 !
@@ -91,19 +89,6 @@
 
 !
-!--    Open PROFIL-output files for each (sub-)region
-       IF ( profil_output )  THEN
-          DO  sr = 0, statistic_regions
-             CALL check_open( 40 + sr )
-          ENDDO
-       ENDIF
-
-!
 !--    Increment the counter for number of output times
        dopr_time_count = dopr_time_count + 1
-
-!
-!--    Re-set to zero the counter for the number of profiles already written
-!--    at the current output time into the respective crosses
-       cross_pnc_local = 0
 
 !
@@ -178,20 +163,4 @@
                    DO  sr = 0, statistic_regions
 
-                      IF ( profil_output )  THEN
-                         id = 40 + sr
-!
-!--                      Write Label-Header
-                         WRITE ( id, 100 )  TRIM( data_output_pr(i) ), '(t=0)'
-!
-!--                      Write total profile
-                         DO  k = nzb, nzt+1
-                            WRITE ( id, 101 )  hom(k,2,dopr_initial_index(i),sr), &
-                                               hom(k,1,dopr_initial_index(i),sr)
-                         ENDDO
-!
-!--                      Write separation label
-                         WRITE ( id, 102 )
-                      ENDIF
-
                       IF ( netcdf_output )  THEN
 #if defined( __netcdf )
@@ -208,144 +177,4 @@
                    ENDDO
 
-                   IF ( profil_output )  THEN
-!
-!--                   Determine indices for later NAMELIST-output (s. below)
-                      profile_number = profile_number + 1
-                      j = dopr_crossindex(i)
-                      IF ( j /= 0 )  THEN
-                         cross_profile_number_count(j) = &
-                                                  cross_profile_number_count(j) + 1
-                         k = cross_profile_number_count(j)
-                         cross_profile_numbers(k,j) = profile_number
-!
-!--                      Initial profiles are always drawn as solid lines in 
-!--                      anti-background colour.
-                         cross_linecolors(k,j) = 1
-                         cross_linestyles(k,j) = 0
-!
-!--                      If required, extend x-value range of the respective
-!--                      cross, provided it has not been specified in &
-!--                      check_parameters. Determination over all (sub-)regions.
-                         IF ( cross_uxmin(j) == 0.0  .AND. &
-                              cross_uxmax(j) == 0.0 )  THEN
-
-                            DO  sr = 0, statistic_regions
-
-                               uxmi = &
-                               MINVAL( hom(:nz_do1d,1,dopr_initial_index(i),sr) )
- 
-                               uxma = &
-                               MAXVAL( hom(:nz_do1d,1,dopr_initial_index(i),sr) )
-! 
-!--                            When the value range of the first line in the
-!--                            corresponding cross is determined, its value range
-!--                            is simply adopted.
-                               IF ( cross_uxmin_computed(j) > &
-                                    cross_uxmax_computed(j) )  THEN
-                                  cross_uxmin_computed(j) = uxmi
-                                  cross_uxmax_computed(j) = uxma
-                               ELSE
-                                  cross_uxmin_computed(j) = &
-                                               MIN( cross_uxmin_computed(j), uxmi )
-                                  cross_uxmax_computed(j) = &
-                                               MAX( cross_uxmax_computed(j), uxma )
-                               ENDIF
-
-                            ENDDO
-
-                         ENDIF
-!
-!--                      If required, determine and note normalizing factors
-                         SELECT CASE ( cross_normalized_x(j) )
-   
-                             CASE ( 'ts2' )
-                               cross_normx_factor(k,j) = &
-                                ( hom_sum(nzb+3,pr_palm,normalizing_region) )**2
-                            CASE ( 'wpt0' )
-                               cross_normx_factor(k,j) = &
-                                hom_sum(nzb,18,normalizing_region)
-                            CASE ( 'wsts2' )
-                               cross_normx_factor(k,j) = &
-                                hom_sum(nzb+8,pr_palm,normalizing_region)  &
-                              * ( hom_sum(nzb+3,pr_palm,normalizing_region) )**2
-                            CASE ( 'ws2' )
-                               cross_normx_factor(k,j) = &
-                                ( hom_sum(nzb+8,pr_palm,normalizing_region) )**2
-                            CASE ( 'ws2ts' )
-                               cross_normx_factor(k,j) = &
-                              ( hom_sum(nzb+8,pr_palm,normalizing_region) )**2 &
-                              * hom_sum(nzb+3,pr_palm,normalizing_region)
-                             CASE ( 'ws3' )
-                               cross_normx_factor(k,j) = &
-                                ( hom_sum(nzb+8,pr_palm,normalizing_region) )**3
-
-                         END SELECT
-
-                         SELECT CASE ( cross_normalized_y(j) )
-  
-                            CASE ( 'z_i' )
-                                cross_normy_factor(k,j) = &
-                                        hom_sum(nzb+6,pr_palm,normalizing_region)
-
-                         END SELECT
-
-!
-!--                      Check the normalizing factors for zeros and deactivate
-!--                      the normalization, if required.
-                         IF ( cross_normx_factor(k,j) == 0.0  .OR. &
-                              cross_normy_factor(k,j) == 0.0 )  THEN
-                            WRITE( message_string, * ) 'data_output_profiles: ',  &
-                                'normalizing cross ',j, ' is not possible ',     &
-                                'since one of the & normalizing factors ',       &
-                                 'is zero! & cross_normx_factor(',k,',',j,') = ', &
-                                                         cross_normx_factor(k,j), &
-                                 ' & cross_normy_factor(',k,',',j,') = ',         &
-                                                         cross_normy_factor(k,j)
-                            CALL message( 'data_output_profiles', 'PA0185',&
-                                                                    0, 1, 0, 6, 0 )
-                            cross_normx_factor(k,j) = 1.0
-                            cross_normy_factor(k,j) = 1.0
-                            cross_normalized_x(j) = ' '
-                            cross_normalized_y(j) = ' '
-                         ENDIF
-
-!
-!--                      If required, extend normalized x-value range of the
-!--                      respective cross, provided it has not been specified in
-!--                      check_parameters. Determination over all (sub-)regions.
-                         IF ( cross_uxmin_normalized(j) == 0.0  .AND. &
-                              cross_uxmax_normalized(j) == 0.0 )  THEN
-
-                            DO  sr = 0, statistic_regions
-
-                               uxmi = MINVAL( hom(:nz_do1d,1,             &
-                                              dopr_initial_index(i),sr) ) / &
-                                      cross_normx_factor(k,j)
-                               uxma = MAXVAL( hom(:nz_do1d,1,             &
-                                              dopr_initial_index(i),sr) ) / &
-                                       cross_normx_factor(k,j)
-!
-!--                            When the value range of the first line in the
-!--                            corresponding cross is determined, its value range
-!--                            is simply adopted.
-                               IF ( cross_uxmin_normalized_computed(j) > &
-                                    cross_uxmax_normalized_computed(j) )  THEN
-                                  cross_uxmin_normalized_computed(j) = uxmi
-                                  cross_uxmax_normalized_computed(j) = uxma
-                               ELSE
-                                  cross_uxmin_normalized_computed(j) = &
-                                    MIN( cross_uxmin_normalized_computed(j), uxmi )
-                                  cross_uxmax_normalized_computed(j) = &
-                                    MAX( cross_uxmax_normalized_computed(j), uxma )
-                               ENDIF
-
-                            ENDDO
-
-                         ENDIF
-
-                      ENDIF   ! Index determination
-
-                   ENDIF   ! profil output
-
                 ENDIF   ! Initial profile available
 
@@ -425,20 +254,4 @@
 !--       Output for the individual (sub-)domains
           DO  sr = 0, statistic_regions
-
-             IF ( profil_output )  THEN
-                id = 40 + sr
-!
-!--             Write Label-Header
-                WRITE ( id, 100 )  TRIM( dopr_label(i) ), simulated_time_chr
-!
-!--             Output of total profile
-                DO  k = nzb, nzt+1
-                   WRITE ( id, 101 )  hom(k,2,dopr_index(i),sr), &
-                                      hom_sum(k,dopr_index(i),sr)
-                ENDDO
-!
-!--             Write separation label
-                WRITE ( id, 102 )
-             ENDIF
 
              IF ( netcdf_output )  THEN
@@ -456,143 +269,5 @@
           ENDDO
 
-          IF ( profil_output )  THEN
-!
-!--          Determine profile number on file and note the data for later
-!--          NAMELIST output, if the respective profile is to be drawn by
-!--          PROFIL (if it shall not be drawn, the variable dopr_crossindex has
-!--          the value 0, otherwise the number of the coordinate cross)
-             profile_number = profile_number + 1
-             j = dopr_crossindex(i)
-
-             IF ( j /= 0 )  THEN
-                cross_profile_number_count(j) = cross_profile_number_count(j) +1
-                k = cross_profile_number_count(j)
-                cross_pnc_local(j)            = cross_pnc_local(j)            +1
-                cross_profile_numbers(k,j) = profile_number
-                ilc = MOD( dopr_time_count, 10 )
-                IF ( ilc == 0 )  ilc = 10
-                cross_linecolors(k,j) = linecolors(ilc)
-                ils = MOD( cross_pnc_local(j), 11 )
-                IF ( ils == 0 )  ils = 11
-                cross_linestyles(k,j) = linestyles(ils)
-!
-!--             If required, extend x-value range of the respective coordinate 
-!--             cross, provided it has not been specified in check_parameters.
-!--             Determination over all (sub-)regions.
-                IF ( cross_uxmin(j) == 0.0  .AND.  cross_uxmax(j) == 0.0 )  THEN
-
-                   DO  sr = 0, statistic_regions
-
-                      uxmi = MINVAL( hom_sum(:nz_do1d,dopr_index(i),sr) )
-                      uxma = MAXVAL( hom_sum(:nz_do1d,dopr_index(i),sr) )
-!
-!--                   When the value range of the first line in the
-!--                   corresponding cross is determined, its value range is
-!--                   simply adopted.
-                      IF ( cross_uxmin_computed(j) > cross_uxmax_computed(j) ) &
-                      THEN
-                         cross_uxmin_computed(j) = uxmi
-                         cross_uxmax_computed(j) = uxma
-                      ELSE
-                         cross_uxmin_computed(j) = &
-                                           MIN( cross_uxmin_computed(j), uxmi )
-                         cross_uxmax_computed(j) = &
-                                           MAX( cross_uxmax_computed(j), uxma )
-                      ENDIF
-
-                   ENDDO
-
-                ENDIF
-!
-!--             If required, store the normalizing factors
-                SELECT CASE ( cross_normalized_x(j) )
-
-                   CASE ( 'tsw2' )
-                      cross_normx_factor(k,j) = &
-                            ( hom_sum(nzb+11,pr_palm,normalizing_region) )**2
-                   CASE ( 'wpt0' )
-                      cross_normx_factor(k,j) = &
-                              hom_sum(nzb,18,normalizing_region)
-                   CASE ( 'wstsw2' )
-                      cross_normx_factor(k,j) = &
-                              hom_sum(nzb+8,pr_palm,normalizing_region)  &
-                          * ( hom_sum(nzb+11,pr_palm,normalizing_region) )**2
-                   CASE ( 'ws2' )
-                      cross_normx_factor(k,j) = &
-                            ( hom_sum(nzb+8,pr_palm,normalizing_region) )**2
-                   CASE ( 'ws2tsw' )
-                      cross_normx_factor(k,j) = &
-                            ( hom_sum(nzb+8,pr_palm,normalizing_region) )**2&
-                            * hom_sum(nzb+11,pr_palm,normalizing_region)
-                   CASE ( 'ws3' )
-                      cross_normx_factor(k,j) = &
-                            ( hom_sum(nzb+8,pr_palm,normalizing_region) )**3
-
-                END SELECT
-                SELECT CASE ( cross_normalized_y(j) )
-
-                   CASE ( 'z_i' )
-                      cross_normy_factor(k,j) = &
-                                   hom_sum(nzb+6,pr_palm,normalizing_region)
-
-                END SELECT
-
-!
-!--             Check the normalizing factors for zeros and deactivate
-!--             the normalization, if required.
-                IF ( cross_normx_factor(k,j) == 0.0  .OR. &
-                     cross_normy_factor(k,j) == 0.0 )  THEN
-                   WRITE( message_string, * ) 'data_output_profiles: ',  &
-                              'normalizing cross ',j, ' is not possible ',     &
-                              'since one of the & normalizing factors ',       &
-                              'is zero! & cross_normx_factor(',k,',',j,') = ', &
-                                                      cross_normx_factor(k,j), &
-                              ' & cross_normy_factor(',k,',',j,') = ',         &
-                                                      cross_normy_factor(k,j)
-                         CALL message( 'data_output_profiles', 'PA0185',&
-                                                                0, 1, 0, 6, 0 )
-                    cross_normx_factor(k,j) = 1.0
-                    cross_normy_factor(k,j) = 1.0
-                    cross_normalized_x(j) = ' '
-                    cross_normalized_y(j) = ' '
-                ENDIF
-
-!
-!--             If required, extend normalized x-value range of the respective  
-!--             cross, provided it has not been specified in check_parameters.
-!--             Determination over all (sub-)regions.
-                IF ( cross_uxmin_normalized(j) == 0.0  .AND. &
-                     cross_uxmax_normalized(j) == 0.0 )  THEN
-
-                   DO  sr = 0, statistic_regions
-
-                      uxmi = MINVAL( hom(:nz_do1d,1,dopr_index(i),sr) ) / &
-                             cross_normx_factor(k,j)
-                      uxma = MAXVAL( hom(:nz_do1d,1,dopr_index(i),sr) ) / &
-                             cross_normx_factor(k,j)
-!
-!--                   When the value range of the first line in the
-!--                   corresponding cross is determined, its value range is
-!--                   simply adopted.
-                      IF ( cross_uxmin_normalized_computed(j) > &
-                           cross_uxmax_normalized_computed(j) )  THEN
-                         cross_uxmin_normalized_computed(j) = uxmi
-                         cross_uxmax_normalized_computed(j) = uxma
-                      ELSE
-                         cross_uxmin_normalized_computed(j) = &
-                                MIN( cross_uxmin_normalized_computed(j), uxmi )
-                         cross_uxmax_normalized_computed(j) = &
-                                MAX( cross_uxmax_normalized_computed(j), uxma )
-                      ENDIF
-
-                   ENDDO
-
-                ENDIF
-
-             ENDIF   ! Index determination
-
-          ENDIF   ! profil output
-
-       ENDDO   ! Loop over dopr_n
+       ENDDO
 
     ENDIF  ! Output on PE0
Index: /palm/trunk/SOURCE/data_output_spectra.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_spectra.f90	(revision 963)
+++ /palm/trunk/SOURCE/data_output_spectra.f90	(revision 964)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! code for profil-output removed
 !
 ! Former revisions:
@@ -73,25 +73,4 @@
        CALL handle_netcdf_error( 'data_output_spectra', 47 )
 #endif
-
-       IF ( profil_output )  THEN
-!
-!--       Compute RAHMEN-Parameter CRANZ for x- and y-spectra separately
-          cranz_x = 0; cranz_y = 0; frame_x = .FALSE.; frame_y = .FALSE.
-
-          m = 1
-          DO WHILE ( data_output_sp(m) /= ' ' .AND. m <= 10 )
-
-             IF ( INDEX( spectra_direction(m), 'x' ) /= 0 )  THEN
-                cranz_x = cranz_x + 1
-             ENDIF
-             IF ( INDEX( spectra_direction(m), 'y' ) /= 0 )  THEN
-                cranz_y = cranz_y + 1
-             ENDIF
-
-             m = m + 1
-
-          ENDDO
-
-       ENDIF
 
 !
@@ -152,20 +131,4 @@
              IF ( INDEX( spectra_direction(m), 'y' ) /= 0 ) THEN
                 CALL output_spectra_netcdf( m, 'y' )
-             ENDIF
-          ENDIF
-
-!
-!--       Output of spectra in profil format
-          IF ( profil_output )  THEN
-!
-!--          Output of x-spectra
-             IF ( INDEX( spectra_direction(m), 'x' ) /= 0 ) THEN
-                CALL data_output_spectra_x( m, cranz_x, pr, frame_x )
-             ENDIF
-
-!
-!--          Output of y-spectra
-             IF ( INDEX( spectra_direction(m), 'y' ) /= 0 ) THEN
-                CALL data_output_spectra_y( m, cranz_y, pr, frame_y )
              ENDIF
           ENDIF
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 963)
+++ /palm/trunk/SOURCE/header.f90	(revision 964)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! output of profil-related quantities removed
 !
 ! Former revisions:
@@ -751,11 +751,4 @@
           ELSE
              output_format = 'NetCDF 64bit offset'
-          ENDIF
-       ENDIF
-       IF ( profil_output )  THEN
-          IF ( netcdf_output )  THEN
-             output_format = TRIM( output_format ) // ' and profil'
-          ELSE
-             output_format = 'profil'
           ENDIF
        ENDIF
@@ -1150,11 +1143,4 @@
           ELSE
              output_format = 'NetCDF 64bit offset'
-          ENDIF
-       ENDIF
-       IF ( profil_output )  THEN
-          IF ( netcdf_output )  THEN
-             output_format = TRIM( output_format ) // ' and profil'
-          ELSE
-             output_format = 'profil'
           ENDIF
        ENDIF
@@ -1227,11 +1213,4 @@
           ELSE
              output_format = 'NetCDF 64bit offset'
-          ENDIF
-       ENDIF
-       IF ( profil_output )  THEN
-          IF ( netcdf_output )  THEN
-             output_format = TRIM( output_format ) // ' and profil'
-          ELSE
-             output_format = 'profil'
           ENDIF
        ENDIF
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 963)
+++ /palm/trunk/SOURCE/modules.f90	(revision 964)
@@ -4,5 +4,12 @@
 ! Current revisions:
 ! -----------------
-! 
+! -cross_linecolors, cross_linestyles, cross_normalized_x, cross_normx_factor,
+! cross_normalized_y, cross_normy_factor, cross_pnc_local,
+! cross_profile_numbers, cross_profile_number_counter, cross_uxmax,
+! cross_uxmax_computed, cross_uxmax_normalized,
+! cross_uxmax_normalized_computed, cross_uxmin, cross_uxmin_computed,
+! cross_uxmin_normalized, cross_uxmin_normalized_computed, cross_uymax,
+! cross_uymin, cross_xtext, dopr_crossindex, dopr_label, linecolors, linestyles,
+! nz_do1d, profil_output, z_max_do1d, z_max_do1d_normalized
 !
 ! Former revisions:
@@ -539,5 +546,5 @@
                 netcdf_data_format = 2, ngsrb = 2, nsor = 20, &
                 nsor_ini = 100, n_sor, normalizing_region = 0, &
-                nz_do1d, nz_do3d = -9999, outflow_damping_width = -1, &
+                nz_do3d = -9999, outflow_damping_width = -1, &
                 pch_index = 0, prt_time_count = 0, recycling_plane, runnr = 0, &
                 skip_do_avs = 0, subdomain_size, terminate_coupled = 0, &
@@ -601,5 +608,5 @@
                 outflow_s = .FALSE., passive_scalar = .FALSE., &
                 plant_canopy = .FALSE., prandtl_layer = .TRUE., &
-                precipitation = .FALSE., profil_output = .FALSE., &
+                precipitation = .FALSE., &
                 radiation = .FALSE., random_heatflux = .FALSE., &
                 run_control_header = .FALSE., run_coupled = .TRUE., &
@@ -690,5 +697,5 @@
              ups_limit_v = 0.0, ups_limit_w = 0.0, vg_surface = 0.0, &
              v_bulk = 0.0, v_gtrans = 0.0, wall_adjustment_factor = 1.8, &
-             z_max_do1d = -1.0, z_max_do1d_normalized = -1.0, z_max_do2d = -1.0
+             z_max_do2d = -1.0
 
     REAL ::  do2d_xy_last_time(0:1) = -1.0, do2d_xz_last_time(0:1) = -1.0, &
@@ -1373,9 +1380,4 @@
     INTEGER, PARAMETER ::  crmax = 100
 
-    CHARACTER (LEN=10), DIMENSION(100) ::  dopr_label = ' '
-
-    CHARACTER (LEN=10), DIMENSION(crmax) ::  cross_normalized_x = ' ', &
-                                             cross_normalized_y = ' '
-
     CHARACTER (LEN=20), DIMENSION(20) ::  cross_ts_profiles = &
                            (/ ' E E*               ', ' dt                 ', &
@@ -1387,13 +1389,4 @@
                             ( '                    ', i9 = 1, 9 ) /)
 
-    CHARACTER (LEN=40), DIMENSION(crmax) ::  cross_xtext = &
-                           (/ 'windspeed in ms>->1         ', &
-                              'pot. temperature in K       ', &
-                              'heat flux in K ms>->1       ', &
-                              'momentum flux in m>2s>2     ', &
-                              'eddy diffusivity in m>2s>->1', &
-                              'mixing length in m          ', &
-                            ( '                            ', i9 = 1, 94 ) /)
-
     CHARACTER (LEN=100), DIMENSION(crmax) ::  cross_profiles = &
                            (/ ' u v                           ', &
@@ -1407,19 +1400,11 @@
     INTEGER ::  profile_columns = 2, profile_rows = 3, profile_number = 0
 
-    INTEGER ::  cross_linecolors(100,crmax) = 1, &
-                cross_linestyles(100,crmax) = 0, &
-                cross_profile_numbers(100,crmax) = 0, &
-                cross_pnc_local(crmax), cross_profile_number_count(crmax) = 0, &
-                cross_ts_numbers(crmax,crmax) = 0, &
-                cross_ts_number_count(crmax) = 0, dopr_crossindex(100) = 0, &
+    INTEGER ::  cross_ts_numbers(crmax,crmax) = 0, &
+                cross_ts_number_count(crmax) = 0, &
                 dopr_index(300) = 0, dopr_initial_index(300) = 0, &
-                dots_crossindex(100) = 0, dots_index(100) = 0, &
-                linecolors(10) = (/ 2, 3, 4,  5, 7, 8, 12, 15, 16, 23 /), &
-                linestyles(11) = (/ 0, 7, 3, 10, 4, 1,  9,  2,  5,  8, 6 /)
+                dots_crossindex(100) = 0, dots_index(100) = 0
                 
 
-    REAL ::  cross_normx_factor(100,crmax) = 1.0, &
-             cross_normy_factor(100,crmax) = 1.0, &
-             cross_ts_uymax(20) = &
+    REAL ::  cross_ts_uymax(20) = &
                              (/ 999.999, 999.999, 999.999, 999.999, 999.999,   &
                                 999.999, 999.999, 999.999, 999.999, 999.999,   &
@@ -1432,12 +1417,5 @@
                                 999.999, 999.999, 999.999, 999.999, 999.999,   &
                                 999.999, 999.999, 999.999, 999.999, 999.999 /),&
-             cross_ts_uymin_computed(20) = 999.999, &
-             cross_uxmax(crmax) = 0.0, cross_uxmax_computed(crmax) = -1.0, &
-             cross_uxmax_normalized(crmax) = 0.0, &
-             cross_uxmax_normalized_computed(crmax) = -1.0, &
-             cross_uxmin(crmax) = 0.0, cross_uxmin_computed(crmax) =  1.0, &
-             cross_uxmin_normalized(crmax) = 0.0, &
-             cross_uxmin_normalized_computed(crmax) = 1.0, &
-             cross_uymax(crmax), cross_uymin(crmax)
+             cross_ts_uymin_computed(20) = 999.999
 
     SAVE
Index: /palm/trunk/SOURCE/netcdf.f90
===================================================================
--- /palm/trunk/SOURCE/netcdf.f90	(revision 963)
+++ /palm/trunk/SOURCE/netcdf.f90	(revision 964)
@@ -7,5 +7,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! rev 951 and 959 reformatted
 !
 ! Former revisions:
@@ -14,5 +14,5 @@
 !
 ! 959 2012-07-24 13:13:41Z hoffmann
-! Bugfix in cross_profiles. It is not possible to arrange more than 100 
+! Bugfix in cross_profiles. It is not allowed to arrange more than 100
 ! profiles with cross_profiles. 
 !
@@ -130,5 +130,5 @@
     INTEGER ::  av, cross_profiles_count, cross_profiles_maxi, delim, &
                 delim_old, file_id, i, id_last, id_x, id_y, id_z, j,  &
-                k, ns, ns_old, nz_old
+                k, kk, ns, ns_old, nz_old
 
     INTEGER, DIMENSION(1) ::  id_dim_time_old, id_dim_x_yz_old,  &
@@ -3147,7 +3147,7 @@
 
 !
-!--       Write columns and rows of cross_profiles to netcdf header. 
+!--       Write number of columns and rows of coordinate systems to be plotted
+!--       on one page to the netcdf header.
 !--       This information can be used by palmplot.
-
           nc_stat = NF90_PUT_ATT( id_set_pr, NF90_GLOBAL,                     &
                                   'no_rows',                                  & 
@@ -3161,93 +3161,103 @@
 
 
-	  cross_profiles_adj  = ADJUSTL( cross_profiles )
+          cross_profiles_adj  = ADJUSTL( cross_profiles )
           cross_profiles_numb = 999999
 
-	  k = 1
-
-!
-!--       Each profile defined in cross_profiles is written to a array 
-!--       (cross_profiles_char). The number of its cross is assigned in a 
-!--       second array (cross_profiles_numb).
-
-	  DO  i = 1, crmax
-	    IF ( TRIM( cross_profiles_adj(i) ) == ' ' )  EXIT
-	    delim_old = 0
-	    DO   j = 1, crmax
-	      delim = INDEX( cross_profiles_adj(i)(delim_old+1:), ' ' )
-	      IF (delim .EQ. 1)  EXIT
-	      cross_profiles_char( MIN( crmax, k ) ) = cross_profiles_adj(i)  &
-                                       (delim_old+1:delim_old+delim-1)
-	      cross_profiles_numb( MIN( crmax, k ) ) = i
-	      k = k+1
-	      cross_profiles_maxi  = i
-	      delim_old = delim_old + delim
-	    ENDDO
-	  ENDDO
+!
+!--       Each profile defined in cross_profiles is written to an array
+!--       (cross_profiles_char). The number of the respective coordinate
+!--       system is assigned in a second array (cross_profiles_numb).
+          k = 1
+
+          DO  i = 1, crmax
+
+             IF ( TRIM( cross_profiles_adj(i) ) == ' ' )  EXIT
+             delim_old = 0
+
+             DO   j = 1, crmax
+                delim = INDEX( cross_profiles_adj(i)(delim_old+1:), ' ' )
+                IF ( delim == 1 )  EXIT
+                kk = MIN( crmax, k )
+                cross_profiles_char(kk) = cross_profiles_adj(i)(delim_old+1: &
+                                                              delim_old+delim-1)
+                cross_profiles_numb(kk) = i
+                k = k + 1
+                cross_profiles_maxi  = i
+                delim_old = delim_old + delim
+             ENDDO
+
+          ENDDO
 
           cross_profiles_count = MIN( crmax, k-1 )
-          
 !
 !--       Check if all profiles defined in cross_profiles are defined in 
 !--       data_output_pr. If not, they will be skipped.
-
+          cross_profiles_log = .FALSE.
+          message_string = ''
+
+          DO  i = 1, cross_profiles_count
+             DO  j = 1, dopr_n
+
+                IF ( TRIM(cross_profiles_char(i)) == TRIM(data_output_pr(j)) ) &
+                THEN
+                   EXIT
+                ENDIF
+
+                IF ( j == dopr_n )  THEN
+                   cross_profiles_numb(i) = 999999
+                   cross_profiles_log = .TRUE.
+                   message_string = TRIM( message_string ) // ', ' // &
+                                    TRIM( cross_profiles_char(i) )
+                ENDIF
+
+             ENDDO
+          ENDDO
+
+          IF ( cross_profiles_log )  THEN
+             message_string = TRIM( message_string ) // ' is/are not' // &
+                              ' defined in data_output_pr.'
+             CALL message( 'define_netcdf_header', 'PA0352', 0, 0, 0, 6, 0 )
+          ENDIF
+
+!
+!--       Check if all profiles defined in data_output_pr are defined in 
+!--       cross_profiles. If not, they will be added to cross_profiles.
           cross_profiles_log = .FALSE.
           message_string = ' '
 
-	  DO  i = 1, cross_profiles_count
-	    DO  j = 1, dopr_n
-	      IF ( TRIM(cross_profiles_char(i) ) == TRIM(data_output_pr(j)) ) &
-		 EXIT
-	      IF ( j == dopr_n)  THEN
-		cross_profiles_numb(i) = 999999
-                cross_profiles_log = .TRUE.
-                message_string = TRIM(message_string) // ', ' //              &
-				 TRIM(cross_profiles_char(i))
-	      ENDIF
-	    ENDDO
-	  ENDDO
-
-	  IF (cross_profiles_log)  THEN
-	    message_string = TRIM(message_string(2:)) // ' is/are not' //     &
-                             ' defined in data_output_pr.'
-	    CALL message( 'define_netcdf_header', 'PA0352', 0, 0, 0, 6, 0 )
-	  ENDIF
-
-!
-!--       Check if all profiles defined in data_output_pr are defined in 
-!--       cross_profiles. If not, they will be added to cross_profiles.
-
-          cross_profiles_log = .FALSE.
-          message_string = ' '
-
-	  DO  i = 1, dopr_n
-	    DO  j = 1, cross_profiles_count
-	      IF ( TRIM( cross_profiles_char(j) ) == TRIM( data_output_pr(i)) )&
-		 EXIT
-              IF ( j == cross_profiles_count )  THEN
-		cross_profiles_count = cross_profiles_count + 1
-		cross_profiles_maxi  = cross_profiles_maxi  + 1
-		cross_profiles_char( MIN( crmax, cross_profiles_count ) ) =    &
+          DO  i = 1, dopr_n
+             DO  j = 1, cross_profiles_count
+
+                IF ( TRIM(cross_profiles_char(j)) == TRIM(data_output_pr(i))) &
+                THEN
+                   EXIT
+                ENDIF
+
+                IF ( j == cross_profiles_count )  THEN
+                   cross_profiles_count = cross_profiles_count + 1
+                   cross_profiles_maxi  = cross_profiles_maxi  + 1
+                   cross_profiles_char(MIN( crmax, cross_profiles_count )) =  &
                                                       TRIM( data_output_pr(i) )
-		cross_profiles_numb( MIN( crmax, cross_profiles_count ) ) =    &
+                   cross_profiles_numb(MIN( crmax, cross_profiles_count )) =  &
                                                       cross_profiles_maxi
-		cross_profiles_log = .TRUE.
-                message_string = TRIM( message_string ) // ', '&
-				         // TRIM( data_output_pr(i) )
-	      ENDIF
-	    ENDDO
-	  ENDDO
-
-	  IF ( cross_profiles_log )  THEN
-	    message_string = TRIM(message_string(2:)) //               &
-                             ' has/have been added to cross_profiles.'
-	    CALL message( 'define_netcdf_header', 'PA0353', 0, 0, 0, 6, 0 )
-	  ENDIF
-
-          IF ( cross_profiles_count .ge. crmax )  THEN
-	    message_string = 'It is not possible to arrange more than '&
-                             // '100 profiles with cross_profiles.'
-	    CALL message( 'define_netcdf_header', 'PA0354', 0, 0, 0, 6, 0 )
-	  ENDIF
+                   cross_profiles_log   = .TRUE.
+                   message_string = TRIM( message_string ) // ', ' // &
+                                    TRIM( data_output_pr(i) )
+                ENDIF
+
+             ENDDO
+          ENDDO
+
+          IF ( cross_profiles_log )  THEN
+             message_string = TRIM(message_string(2:)) // ' has/have been' //  &
+                              ' added to cross_profiles.'
+             CALL message( 'define_netcdf_header', 'PA0353', 0, 0, 0, 6, 0 )
+          ENDIF
+
+          IF ( cross_profiles_count >= crmax )  THEN
+             message_string = 'It is not allowed to arrange more than '&
+                              // '100 profiles with cross_profiles.'
+             CALL message( 'define_netcdf_header', 'PA0354', 0, 0, 0, 6, 0 )
+          ENDIF
 
 !
@@ -3255,29 +3265,30 @@
 !--       used by palmplot. Each profile is separated by ",", each cross is 
 !--       separated by ";".
-
-	  char_cross_profiles = ';'
-	  id_last = 1
-
-	  DO  i = 1, cross_profiles_count
-	    IF ( cross_profiles_numb(i) /= 999999 )  THEN
-              IF ( TRIM( char_cross_profiles ) == ';' )  THEN
-               char_cross_profiles = TRIM( char_cross_profiles ) // &
-                                     TRIM( cross_profiles_char(i) )
-	      ELSEIF ( id_last == cross_profiles_numb(i) )  THEN
-		char_cross_profiles = TRIM( char_cross_profiles ) // &
-                                      ',' // TRIM( cross_profiles_char(i) )
-	      ELSE
-		char_cross_profiles = TRIM( char_cross_profiles ) // &
-                                      ';' // TRIM( cross_profiles_char(i) )
-	      ENDIF
-	      id_last = cross_profiles_numb(i)
-	    ENDIF
-	  ENDDO
-         
+          char_cross_profiles = ';'
+          id_last = 1
+
+          DO  i = 1, cross_profiles_count
+
+             IF ( cross_profiles_numb(i) /= 999999 )  THEN
+                IF ( TRIM( char_cross_profiles ) == ';' )  THEN
+                   char_cross_profiles = TRIM( char_cross_profiles ) // &
+                                         TRIM( cross_profiles_char(i) )
+                ELSEIF ( id_last == cross_profiles_numb(i) )  THEN
+                   char_cross_profiles = TRIM( char_cross_profiles ) // &
+                                         ',' // TRIM( cross_profiles_char(i) )
+                ELSE
+                   char_cross_profiles = TRIM( char_cross_profiles ) // &
+                                         ';' // TRIM( cross_profiles_char(i) )
+                ENDIF
+                id_last = cross_profiles_numb(i)
+             ENDIF
+
+          ENDDO
+
           char_cross_profiles = TRIM( char_cross_profiles ) // ';'
 
-	  nc_stat = NF90_PUT_ATT( id_set_pr, NF90_GLOBAL, 'cross_profiles',   &
+          nc_stat = NF90_PUT_ATT( id_set_pr, NF90_GLOBAL, 'cross_profiles',   &
                                   TRIM( char_cross_profiles ) )
-	  CALL handle_netcdf_error( 'netcdf', 521 )
+          CALL handle_netcdf_error( 'netcdf', 521 )
 
 !
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 963)
+++ /palm/trunk/SOURCE/parin.f90	(revision 964)
@@ -4,5 +4,6 @@
 ! Current revisions:
 ! -----------------
-!
+! -cross_normalized_x, cross_normalized_y, cross_xtext, z_max_do1d,
+! z_max_do1d_normalized
 !
 ! Former revisions:
@@ -200,6 +201,6 @@
 
     NAMELIST /d3par/  averaging_interval, averaging_interval_pr, &
-             create_disturbances, cross_normalized_x, cross_normalized_y, &
-             cross_profiles, cross_ts_uymax, cross_ts_uymin, cross_xtext, &
+             create_disturbances, &
+             cross_profiles, cross_ts_uymax, cross_ts_uymin, &
              data_output, data_output_format, data_output_masks, &
              data_output_pr, data_output_2d_on_each_pe, disturbance_amplitude, &
@@ -219,6 +220,5 @@
              skip_time_do2d_xz, skip_time_do2d_yz, skip_time_do3d, &
              skip_time_domask, synchronous_exchange, termination_time_needed, &
-             use_prior_plot1d_parameters, z_max_do1d, z_max_do1d_normalized, &
-             z_max_do2d
+             use_prior_plot1d_parameters, z_max_do2d
 
 
Index: /palm/trunk/TUTORIAL/SOURCE/runs_with_mrun.tex
===================================================================
--- /palm/trunk/TUTORIAL/SOURCE/runs_with_mrun.tex	(revision 963)
+++ /palm/trunk/TUTORIAL/SOURCE/runs_with_mrun.tex	(revision 964)
@@ -625,5 +625,5 @@
     \node [green, below=0.2cm of second] (third) {
        \textbf{if job is running, you may follow its progress by watching the job protocol:} \\ 
-       \texttt{cd ~/job\underline{ }queue \\ tail lcmuk\underline{ }example\underline{ }cbl}
+       \texttt{cd \~/job\underline{ }queue \\ tail lcmuk\underline{ }example\underline{ }cbl}
     };
 }
@@ -637,5 +637,5 @@
     \node [green, below=0.2cm of fourth] (fifth) {
        \textbf{when the job is finished, watch, if the job protocol is transferred to the local host without errors:}\\
-       \texttt{cd ~/job\underline{ }queue \\ cat last\underline{ }job\underline{ }transfer\underline{ }protocol}
+       \texttt{cd \~/job\underline{ }queue \\ cat last\underline{ }job\underline{ }transfer\underline{ }protocol}
     };
 }
@@ -650,5 +650,5 @@
     \node [yellow, left=3.5cm of fifth] (sixth) {
        \textbf{check, if the job protocol and all output files have successfully been transferred to the local machine:}\\
-       \texttt{cd ~/job\underline{ }queue \\ ls -al \\ cd ~/palm/current\underline{ }version/JOBS/example \\ ls -al *}
+       \texttt{cd \~/job\underline{ }queue \\ ls -al \\ cd ~/palm/current\underline{ }version/JOBS/example \\ ls -al *}
     };
 }
